summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDarren Tucker <dtucker@zip.com.au>2006-09-10 13:24:18 +1000
committerDarren Tucker <dtucker@zip.com.au>2006-09-10 13:24:18 +1000
commitf376669328e6df2dc78936786787150d98a1df80 (patch)
tree272a8041a86fce9142e900f977b2bc9a6d3f40f5
parent733a292c1125b070a2e49e3e514912460966a03e (diff)
- (dtucker) [contrib/aix/buildbff.sh] Ensure that perl is available.
-rw-r--r--ChangeLog5
-rwxr-xr-xcontrib/aix/buildbff.sh4
2 files changed, 7 insertions, 2 deletions
diff --git a/ChangeLog b/ChangeLog
index 0ebeee28..b746504c 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+20060910
+ - (dtucker) [contrib/aix/buildbff.sh] Ensure that perl is available.
+
20060909
- (dtucker) [openbsd-compat/bsd-snprintf.c] Add stdarg.h.
- (dtucker) [contrib/aix/buildbff.sh] Always create privsep user.
@@ -5420,4 +5423,4 @@
- (djm) Trim deprecated options from INSTALL. Mention UsePAM
- (djm) Fix quote handling in sftp; Patch from admorten AT umich.edu
-$Id: ChangeLog,v 1.4540 2006/09/09 10:41:25 dtucker Exp $
+$Id: ChangeLog,v 1.4541 2006/09/10 03:24:18 dtucker Exp $
diff --git a/contrib/aix/buildbff.sh b/contrib/aix/buildbff.sh
index 03f0d604..97a7cbbb 100755
--- a/contrib/aix/buildbff.sh
+++ b/contrib/aix/buildbff.sh
@@ -1,7 +1,7 @@
#!/bin/sh
#
# buildbff.sh: Create AIX SMIT-installable OpenSSH packages
-# $Id: buildbff.sh,v 1.9 2006/09/09 10:34:15 dtucker Exp $
+# $Id: buildbff.sh,v 1.10 2006/09/10 03:24:19 dtucker Exp $
#
# Author: Darren Tucker (dtucker at zip dot com dot au)
# This file is placed in the public domain and comes with absolutely
@@ -23,6 +23,8 @@ umask 022
startdir=`pwd`
+perl -v >/dev/null || (echo perl required; exit 1)
+
# Path to inventory.sh: same place as buildbff.sh
if echo $0 | egrep '^/'
then